REDIR(1)

NAME
redir - redirect tcp connections

SYNOPSIS
redir [--laddr=incoming.ip.address] [--caddr=host] [--debug] [--syslog [--name=str] [--timeout=n] [--bind_addr=my.other.ip.address] [--ftp=type] [--transproxy] [--connect=host:port] --lport=port --cport=port [--bufsize=n] [--maxbandwidth=n] [--random_wait=n] [--wait_in_out=n]
redir --inetd [--caddr=host] [--debug] [--syslog [--name=str] [--timeout=n] [--ftp=type] [--transproxy] [--connect=host:port] --cport=port [--bufsize=n] [--maxbandwidth=n] [--random_wait=n] [--wait_in_out=n]

DESCRIPTION
Redir redirects tcp connections coming in to a local port to a specified address/port combination.

It may be run either from inetd or as a standalone daemon. Depending on how redir was compiled, not all options may be available.

OPTIONS

--lport
    Specifies port to listen for connections on (when not running from inetd)

--laddr
    IP address to bind to when listening for connections (when not running from inetd)

--cport
    Specifies port to connect to.

--caddr
    Specifies remote host to connect to. (localhost if omitted)

--inetd
    Run as a process started from inetd, with the connection passed as stdin and stdout on startup.

--debug
    Write debug output to stderr or syslog.

--name
    Specify program name to be used for TCP wrapper checks and syslog logging.

--timeout
    Timeout and close the connection after n seconds on inactivity.

--syslog
    Log information to syslog.

--bind_addr
    Forces redir to pick a specific address/interface to bind to when it listens for incoming connections.

--ftp
    When using redir for an FTP server, this will cause redir to also redirect ftp connections. Type should be specified as either "port", "pasv", or "both", to specify what type of FTP connection to handle. Note that --transproxy often makes one or the other (generally port) undesirable.

--transproxy
    On a linux system with transparany proxying enables, causes redir to make connections appear as if they had come from their true origin. (see transproxy.txt in the source archive)

--connect
    Redirects connections through an HTTP proxy which supports the CONNECT command. Specify the address and port of the proxy using --caddr and --cport. --connect requires the hostname and port which the HTTP proxy will be asked to connect to.

--bufsize n
    Set the bufsize (defaut 4096) in bytes. Can be used combined with --maxbandwidth or --random_wait to simulate a slow connection.

--maxbandwidth n
    Reduce the bandwidth to be no more than n bits/sec. The algorithme is basic, the goal is to simulate a slow connection, so there is no pic acceptance.

--random_wait n
    Wait between 0 and 2 x n milliseconds before each "packet". A "packet" is a bloc of data read in one time by redir. A "packet" size is always less than the bufsize (see also --bufsize).

--wait_in_out n
    Apply --maxbandwidth and --random_wait for input if n=1, output if n=2 and both if n=3.

SEE ALSO
inetd(1)